var Script = require('vm').Script;
var readFileSync = require('fs').readFileSync;

module.exports = function () {
  var context = {
    require: require,
    process: process,
    console: console,
    module: {},
    exports: {}
  };
  context.module.exports = context.exports;

  var filename = require.resolve('./jasmine');
  var script = new Script(readFileSync(filename), { filename: filename });
  return script.runInNewContext(context).apply(null, arguments);
};
